Package org.eclipse.birt.report.model.api.extension

# Interface IColor

public interface IColor

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlue()`
`int`
`getGreen()`
`int`
`getRed()`
`int`
`getTransparency()`
Returns the transpareny depth.
`void`
`setBlue(int blud)`
`void`
`setGreen(int green)`
`void`
`setRed(int red)`
`void`
`setTransparency(int value)`
Sets the transpareny depth.

## Method Details

### getRed

int getRed()

### getGreen

int getGreen()

### getBlue

int getBlue()

### getTransparency

int getTransparency()
Returns the transpareny depth.

Returns:
  the integer between 0 and 255.

### setRed

void setRed(int red)

### setGreen

void setGreen(int green)

### setBlue

void setBlue(int blud)

### setTransparency

void setTransparency(int value)
Sets the transpareny depth.

Parameters:
  `value` - the integer between 0 and 255.